import Fuse from 'fuse.js'
import $ from 'jquery'

function createTitleSearch() {
    return new Promise(function (resolve, reject) {
        $.get('/links.json', function (documents) {
            const options = {
                keys: ['title'],
            }
            let fuse = new Fuse(documents, options)

            resolve({
                documents,
                search: fuse,
            })
        })
    })
}

export default createTitleSearch
